


    /* EPC Imp to C Translation Release 4 Version Apr 95 */


#include "imptoc.h"

main() {
static int fail=0;
char a [10+1] [6] ;
char *ap;
int i;
static void conc(char * x) {
 strcpy(x,imp_concat(x,"a"));
}
 for (i=1; i<=10; i++)  strcpy(a [i],imp_tostring(i+'0'));
 for (i=1; i<=10; i++)  conc(a [i]);
 for (i=1; i<=10; i++) {
 ap=a [i];
 strcpy(ap,imp_concat(ap,"b"));
if (strcmp(a [i],imp_concat(imp_tostring(i+'0'),"ab"))!=0) {fprintf(out_file, "%s", a [i]); fail=1;}
}
if (fail==0)  fprintf(out_file, "%s", "TEST OK");
exit(0);
}

/* end of automatic translation */

